#
# spec file for package indent (Version 2.2.9)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           indent
License:        GPL
Group:          Development/Languages/C and C++
Autoreqprov:    on
Version:        2.2.9
Release:        207.2
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}-overflow.patch
Patch1:         %{name}-%{version}-nothing_is_void.diff
Patch2:         %{name}-%{version}-warnings.diff
URL:            ftp://ftp.gnu.org/pub/gnu/indent/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Indent Formats C Source Code
PreReq:         %install_info_prereq

%description
indent can be used to make code easier to read. It can also convert
from one style of writing C code to another. indent understands a
substantial amount of C syntax, but it also tries to cope with
incomplete and malformed syntax.



%define prefix   /usr
%debug_package
%prep
%setup
%patch
%patch1 -p1
%patch2

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
							--mandir=%{_mandir} \
							--prefix=%{prefix} \
							--infodir=%{_infodir} \
							--sysconfdir=%{_sysconfdir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT/ install
# indent.html is installed with %doc below
rm $RPM_BUILD_ROOT/usr/doc/indent/indent.html
rm $RPM_BUILD_ROOT/usr/bin/texinfo2man
mv $RPM_BUILD_ROOT/usr/share/locale/zh_TW.Big5 \
   $RPM_BUILD_ROOT/usr/share/locale/zh_TW

%clean
rm -rf $RPM_BUILD_ROOT;

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-, root, root)
/usr/bin/*
%doc doc/indent.html
%{_infodir}/indent.info*.gz
%{_mandir}/man1/indent.1.gz
/usr/share/locale/*/LC_MESSAGES/*.mo

%changelog -n indent
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 13 2004 - sndirsch@suse.de
- moved chinese mo file to correct directory (Bug #47262)
* Wed Sep 15 2004 - aj@suse.de
- Fix compiler warnings.
* Wed Jun 30 2004 - tcrhak@suse.cz
- removed texinfo2man from the file list (bug #42247)
* Fri Apr 16 2004 - mmj@suse.de
- Functions that are void should be declared as such
* Thu Mar 04 2004 - tcrhak@suse.cz
- security fix for overflow (bug #33790)
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed May 14 2003 - mmj@suse.de
- Remove unwanted files
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Thu Feb 13 2003 - mmj@suse.de
- Add %%install_info macro [#23428]
* Mon Jan 06 2003 - tcrhak@suse.cz
- update to version 2.2.9
* Sat Jul 13 2002 - tcrhak@suse.cz
- update to version 2.2.8a
* Thu Oct 04 2001 - schwab@suse.de
- Don't run automake/autoconf.
* Sun Dec 03 2000 - smid@suse.cz
- New version 2.2.6
* Thu Feb 10 2000 - kukuk@suse.de
- Update to 2.2.5
- Move /usr/{info,man} -> /usr/share/{info,man}
* Sun Oct 10 1999 - kukuk@suse.de
- Update to version 2.2.3
- Use BuildRoot
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 07 1999 - kukuk@suse.de
- Add make to build section
* Thu Aug 26 1999 - kukuk@suse.de
- Update to version 2.2.0
* Tue Feb 23 1999 - ro@suse.de
- dont redefine memcpy for glibc-2.1
* Thu Jan 21 1999 - ro@suse.de
- no m486 on alpha
- include <string.h> in indent.c
